---
title: kip manual - kip computer
...

# kip computer

The kip is a fantasy computer based on the 32-bit [kmx20](./kmx20.md) stack processor.
It currently runs no operating system.

It ships with [kip-as](./kip-as.md) for assembling to kmx20 machine code.

To run kip programs, you will need a kip emulator. Check the [git repository](https://git.cro.wtf/kip.git)
for one written in C and SDL2.

## Devices

For now, see `../kip-io.def` in the git repository. Extensive documentation here is TODO!

## Interrupt Vector Table

| Port | Description        |
|:-----|:-------------------|
|`0x00`| Display VSYNC      |
|`0x04`| Mouse Down         |
|`0x08`| Mouse Up           |
|`0x0c`| Keyboard Down      |
|`0x10`| Keyboard Up        |
