if exists('b:current_syntax')
  finish
endif

syn match kmmnum /#\S*/
syn match kmmlab /:\S*/
syn match kmmref /@\S*/
syn match kmmrel /\^\S*/
syn match kmmmac /!\S*/
syn match kmmsym /`\S*/
syn match kmmprm /-\S*/
syn match kmmend /;\S*/
syn region kmmstr start=/"/ end=/"/
syn region kmmcom start=/{/ end=/}/
syn sync fromstart

hi def link kmmcom Comment
hi def link kmmsym Constant
hi def link kmmref Constant
hi def link kmmrel Constant
hi def link kmmend Delimiter
hi def link kmmlab Function
hi def link kmmnum Number
hi def link kmmmac PreProc
hi def link kmmprm PreProc
hi def link kmmstr String

let b:current_syntax='kmm'
